<?php

namespace LaborReportsCountingRecordService;

use App\Services\CacheService;
use App\Services\LaborReportsCountingRecordService;
use App\Services\OrderCountingRecordService;
use Illuminate\Support\Facades\Cache;
use Tests\TestCase;

class UserGroupsCountTest extends TestCase
{
    /** @var LaborReportsCountingRecordService $laborReportsCountingRecordService */
    public $laborReportsCountingRecordService;

    public function setUp(): void
    {
        parent::setUp();
        $this->laborReportsCountingRecordService = new LaborReportsCountingRecordService();
    }

    public function testUserGroupsCount()
    {
        $result =  $this->laborReportsCountingRecordService->userGroupsCount('2020-10-17','2020-11-16');
        self::assertTrue($result->isNotEmpty());
    }
}
